Skip to content
API reference

Monitor

Health and audit information for a workspace.

GET/monitor/audit

Get audit (monitors)

Needs the permission audit:read.

ParameterInTypeNotes
limitqueryintegerat least 1. up to 200. default 30
cursorquerystringup to 512 characters
actionquerystringat least 1 characters. up to 80 characters
entityTypequerystringat least 1 characters. up to 60 characters
actorIdquerystring (uuid)
entityIdquerystring (uuid)
fromquerystring (date-time)
toquerystring (date-time)
curl -X GET https://crm.anibrosdesign.com/api/v1/monitor/audit \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 429

GET/monitor/audit/export

Get export (monitors)

Needs the permission audit:read.

ParameterInTypeNotes
actionquerystringat least 1 characters. up to 80 characters
entityTypequerystringat least 1 characters. up to 60 characters
actorIdquerystring (uuid)
entityIdquerystring (uuid)
fromquerystring (date-time)
toquerystring (date-time)
curl -X GET https://crm.anibrosdesign.com/api/v1/monitor/audit/export \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 429

GET/monitor/audit/facets

Get facets (monitors)

Needs the permission audit:read.

curl -X GET https://crm.anibrosdesign.com/api/v1/monitor/audit/facets \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 403 429

GET/monitor/audit/{id}

Get audit (monitor)

Needs the permission audit:read.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X GET https://crm.anibrosdesign.com/api/v1/monitor/audit/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 404 429

GET/monitor/events

Get events (monitors)

Needs the permission operations:read.

ParameterInTypeNotes
limitqueryintegerat least 1. up to 200. default 30
cursorquerystringup to 512 characters
severityqueryone of info, warn, error
componentquerystringup to 40 characters
qquerystringup to 100 characters
fromquerystring (date-time)
toquerystring (date-time)
curl -X GET https://crm.anibrosdesign.com/api/v1/monitor/events \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 429

GET/monitor/overview

Get overview (monitors)

Needs the permission operations:read.

curl -X GET https://crm.anibrosdesign.com/api/v1/monitor/overview \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 403 429

Something missing or unclear? Tell us.

Chat on WhatsApp